API Documentation for TrustX

For more information, please visit: TrustX Documentation

Last Updated: 2026-04-27

Server
https://{tenantId}.fir.trustx.com

URL for fir regional system

https://{tenantId}.gum.trustx.com

URL for gum regional system

https://{tenantId}.oak.trustx.com

URL for oak regional system

Server Variables

Access to the APIs is restricted by bearer auth

apiKey ApiKeyAuth

An API key is required to create a token

Fields
KeyIn
X-Api-KeyHeader

Obtain a bearer token by API Key for the tenant

Returns the JWT token, otherwise 401 and an error code and message.

Auth
Headers
X-ApiKeystring
X-Api-Keystring
POST /api/arthr/apiKeys/issue
Copy
Responses
200

OK

objectobject
tokenstring
ttlint32
400

Bad Request

401

Unauthorized

Response
Copy

List API Keys for the tenant

List API Keys for the tenant.

API Permissions: TNT#{tenantid}#ArthrServer:listTenantApiKeys

Auth
Query String
namestring

Default: %

pageinteger

Default: 0

sizeinteger

minimum: 1

Default: 10

sortobject
sortarray[string]
GET /api/arthr/apiKeys
Copy
Responses
200

OK

objectobject
totalElementsint64
totalPagesint32
firstboolean
numberint32
sortarray[object]
directionstring
nullHandlingstring
ascendingboolean
propertystring
ignoreCaseboolean
lastboolean
numberOfElementsint32
pageableobject
sortarray[object]
directionstring
nullHandlingstring
ascendingboolean
propertystring
ignoreCaseboolean
unpagedboolean
pagedboolean
pageSizeint32
pageNumberint32
offsetint64
sizeint32
contentarray[object]
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
emptyboolean
400

Bad Request

401

Unauthorized

Response
Copy

Create an API Key for a tenant

Create an API Key for a tenant.

API Permissions: TNT#{tenantid}#ArthrServer:createTenantApiKey

Auth
Request Body
objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
POST /api/arthr/apiKeys
Copy
Responses
201

Created

objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
400

Bad Request

401

Unauthorized

Response
Copy

Get an API Key for a tenant

Returns the specific API Key for a tenant.

API Permissions: TNT#{tenantid}#ArthrServer:getFromTenant

Auth
Path Params
apiKeyIdstring
GET /api/arthr/apiKeys/{apiKeyId}
Copy
Responses
200

OK

objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
400

Bad Request

401

Unauthorized

Response
Copy

Update an API Key for a tenant

Updates an API Key for a tenant.

API Permissions: TNT#{tenantid}#ArthrServer:updateTenantApiKey

Auth
Path Params
apiKeyIdstring
Request Body
objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
POST /api/arthr/apiKeys/{apiKeyId}
Copy
Responses
200

OK

objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
400

Bad Request

401

Unauthorized

Response
Copy

Delete an API Key.

Deletes the specific API Key. Once the API is deleted it cannot be recovered.

API Permissions: TNT#{tenantid}#ArthrServer:deleteFromTenant

Auth
Path Params
apiKeyIdstring
DELETE /api/arthr/apiKeys/{apiKeyId}
Copy
Responses
204

No Content

No response body
400

Bad Request

401

Unauthorized

Response
Copy